## ros-melodic-swri-route-util 2.14.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(swri_route_util)

set(BUILD_DEPS 
  marti_common_msgs
  marti_nav_msgs
  roscpp
  swri_geometry_util
  swri_math_util
  swri_transform_util
  visualization_msgs
  )

set(RUNTIME_DEPS ${BUILD_DEPS})

find_package(Boost REQUIRED)
# Workaround for header-only Boost issue in older versions of cmake:
# https://gitlab.kitware.com/cmake/cmake/-/issues/18643
add_library(${PROJECT_NAME}_boost INTERFACE IMPORTED)
set_property(TARGET ${PROJECT_NAME}_boost PROPERTY
  INTERFACE_INCLUDE_DIRECTORIES ${Boost_INCLUDE_DIR})

### Catkin ###
find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})
catkin_package(CATKIN_DEPENDS ${RUNTIME_DEPS}
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME})

include_directories(include ${catkin_INCLUDE_DIRS})

### Build Library ###
add_library(${PROJECT_NAME} 
  src/route.cpp
  src/route_point.cpp
  src/route_speeds.cpp
  src/util.cpp
  src/visualization.cpp
  )
set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++0x")
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}_boost
)

### Install Libraries and Executables ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

### Install Header Files ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-swri-route-util (2.14.2-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.14.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.14.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.7-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.6-1stretch) stretch; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.5-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.4-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.3-1stretch) stretch; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.2-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.13.0-1stretch) stretch; urgency=high

  * Add overload of generateObstacleData for tracked objects (#578 <https://github.com/swri-robotics/marti_common/issues/578>)
  * Contributors: Matthew Bries <mailto:matthew.bries@swri.org>

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.12.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-melodic-swri-route-util (2.11.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-swri-route-util (2.10.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-melodic-swri-route-util (2.9.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-melodic-swri-route-util (2.8.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-melodic-swri-route-util (2.7.3-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-melodic-swri-route-util (2.7.2-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.7.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.7.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.6.0-1stretch) stretch; urgency=high

  * Remove incorrect translation of object geometry (#527 <https://github.com/swri-robotics/marti_common/issues/527>)
  * Contributors: agyoungs

 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.5.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.4.0-1stretch) stretch; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.3.0-1stretch) stretch; urgency=high

  * Fill in route id of route positions when possible. (#517 <https://github.com/swri-robotics/marti_common/issues/517>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.2.1-1stretch) stretch; urgency=high

  * Catch and fix NaNs in the fillOrientations function (#513 <https://github.com/swri-robotics/marti_common/issues/513>)
  * Contributors: kriskozak

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.2.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 00:00:00 -0000

ros-melodic-swri-route-util (2.0.0-1stretch) stretch; urgency=high

  * Accept '1' or 'true' for stop points. (#489 <https://github.com/swri-robotics/marti_common/issues/489>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 00:00:00 -0000

ros-melodic-swri-route-util (1.2.0-1stretch) stretch; urgency=high

  * Add support for vehicle_width_override property on route (#485 <https://github.com/swri-robotics/marti_common/issues/485>)
  * Add bounds checking to extractSubroute. (#486 <https://github.com/swri-robotics/marti_common/issues/486>)
  * Contributors: Marc Alban, Matthew Bries

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-melodic-swri-route-util (1.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 00:00:00 -0000

ros-melodic-swri-route-util (1.0.0-1stretch) stretch; urgency=high

  * Add route speed functions (#466 <https://github.com/swri-robotics/marti_common/issues/466>)
    * Add visualization function for swri_route_util.
    * Add code to calculate max speeds based on curvature to swri_route_util.
    * Add speed/obstacle functionality to swri_route_util.
  * Add extractSubroute function.


=== debian/control ===
Source: ros-melodic-swri-route-util
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-marti-common-msgs, ros-melodic-marti-nav-msgs, ros-melodic-roscpp, ros-melodic-swri-geometry-util, ros-melodic-swri-math-util, ros-melodic-swri-transform-util, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-swri-route-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-marti-common-msgs, ros-melodic-marti-nav-msgs, ros-melodic-roscpp, ros-melodic-swri-geometry-util, ros-melodic-swri-math-util, ros-melodic-swri-transform-util, ros-melodic-visualization-msgs
Description: This library provides functionality to simplify working with the navigation messages defined in marti_nav_msgs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-swri-route-util//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-swri-route-util 2.15.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,13 +31,20 @@
 
 ### Build Library ###
 add_library(${PROJECT_NAME} 
+  src/path_util.cpp
+  src/plan_util.cpp
   src/route.cpp
   src/route_point.cpp
   src/route_speeds.cpp
   src/util.cpp
   src/visualization.cpp
   )
-set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++0x")
+if ($ENV{ROS_DISTRO} STREQUAL "kinetic")
+  set_target_properties(${PROJECT_NAME} PROPERTIES
+    CXX_STANDARD 11
+    CXX_STANDARD_REQUIRED ON
+  )
+endif()
 target_link_libraries(${PROJECT_NAME}
   ${catkin_LIBRARIES}
   ${PROJECT_NAME}_boost

=== debian/changelog ===
ros-melodic-swri-route-util (2.15.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-melodic-swri-route-util (2.14.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.14.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.14.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.7-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.6-1bionic) bionic; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.5-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.4-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.3-1bionic) bionic; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.13.0-1bionic) bionic; urgency=high

  * Add overload of generateObstacleData for tracked objects (#578 <https://github.com/swri-robotics/marti_common/issues/578>)
  * Contributors: Matthew Bries <mailto:matthew.bries@swri.org>

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.12.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-swri-route-util (2.11.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-melodic-swri-route-util (2.10.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-melodic-swri-route-util (2.9.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-melodic-swri-route-util (2.8.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-melodic-swri-route-util (2.7.3-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-melodic-swri-route-util (2.7.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-melodic-swri-route-util (2.7.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-melodic-swri-route-util (2.7.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-melodic-swri-route-util (2.6.0-1bionic) bionic; urgency=high

  * Remove incorrect translation of object geometry (#527 <https://github.com/swri-robotics/marti_common/issues/527>)
  * Contributors: agyoungs

 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-melodic-swri-route-util (2.5.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-melodic-swri-route-util (2.4.0-1bionic) bionic; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-swri-route-util (2.3.0-1bionic) bionic; urgency=high

  * Fill in route id of route positions when possible. (#517 <https://github.com/swri-robotics/marti_common/issues/517>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-melodic-swri-route-util (2.2.1-1bionic) bionic; urgency=high

  * Catch and fix NaNs in the fillOrientations function (#513 <https://github.com/swri-robotics/marti_common/issues/513>)
  * Contributors: kriskozak

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-melodic-swri-route-util (2.2.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-melodic-swri-route-util (2.1.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-melodic-swri-route-util (2.0.0-1bionic) bionic; urgency=high

  * Accept '1' or 'true' for stop points. (#489 <https://github.com/swri-robotics/marti_common/issues/489>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-melodic-swri-route-util (1.2.0-1bionic) bionic; urgency=high

  * Add support for vehicle_width_override property on route (#485 <https://github.com/swri-robotics/marti_common/issues/485>)
  * Add bounds checking to extractSubroute. (#486 <https://github.com/swri-robotics/marti_common/issues/486>)
  * Contributors: Marc Alban, Matthew Bries

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-melodic-swri-route-util (1.1.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-melodic-swri-route-util (1.0.0-1bionic) bionic; urgency=high

  * Add route speed functions (#466 <https://github.com/swri-robotics/marti_common/issues/466>)
    * Add visualization function for swri_route_util.
    * Add code to calculate max speeds based on curvature to swri_route_util.


=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
